Bug 172541 - problem starting samba due to bug in /etc/rc.d/functions?
Summary: problem starting samba due to bug in /etc/rc.d/functions?
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: samba   
(Show other bugs)
Version: 4
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-06 18:39 UTC by Jurgen Kramer
Modified: 2014-08-31 23:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-28 12:20:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jurgen Kramer 2005-11-06 18:39:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
I cannot start samba properly using the service command (FC4 x86_64).





Version-Release number of selected component (if applicable):
initscripts-8.11.1-1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. service smb start
2. 
3.
  

Actual Results:  Starting SMB services: /etc/init.d/functions: line 83: 31114 Aborted                 $nice $*
                                                           [FAILED]
Starting NMB services:                                     [  OK  ]


Expected Results:  samba should start normally

Additional info:

After using "service smb start" and starting smbd by hand samba performs normal. Stopping samba with "service smb stop" works without problems.

Re-installing initscripts did not solve the problem. System if fully updated.

Comment 1 Jurgen Kramer 2005-11-13 20:27:28 UTC
Some further debugging shows that the line in /etc/rc.d/functions which should
start smbd (with $nice $*) always returns 134 ($? = 134) for smbd while starting
nmbd returns 0 as it should. Very odd problem. Is smbd missing some variables
when started via the startup scripts?

Comment 2 Abu Bakar Al-Idrus 2006-01-19 03:31:08 UTC
This bug also occurs in a i386 system:

[root@alidrus cron]# service smb start
Starting SMB services: /etc/init.d/functions: line 83: 26516 Aborted           
     $nice $*
                                                           [FAILED]
Starting NMB services:                                     [  OK  ]


Comment 3 Abu Bakar Al-Idrus 2006-01-19 03:54:57 UTC
I have found a peculiar workaround which seems to work for me:

[root@alidrus cron]# bash --debugger /etc/init.d/smb start
Starting SMB services:                                     [  OK  ]
Starting NMB services:                                     [  OK  ]
[root@alidrus cron]# ps xa|grep "\(smb\|nmbd\)"|grep -v grep
26806 ?        Ss     0:00 smbd -D
26807 ?        S      0:00 smbd -D
26809 ?        Ss     0:00 nmbd -D

I have no idea what this means, but I hope that people who have the same problem
will find this useful.

Comment 4 Jurgen Kramer 2006-01-20 11:02:30 UTC
I can confirm that using 'bash --debugger /etc/init.d/smb start' samba starts
normally!


Comment 5 Stephen James 2006-02-17 14:19:35 UTC
Another bug report against samba suggested " sh /etc/init.d/smb start " and this
seems to work as well. 

Comment 6 Christian Iseli 2007-01-22 12:00:14 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 7 Jurgen Kramer 2007-01-28 12:20:57 UTC
Sorry about that, I thought I already closed this one. No longer relevant.


Note You need to log in before you can comment on or make changes to this bug.